Bug 461644 - SELinux is preventing snmpd (snmpd_t) "unlink" to master (var_t)
SELinux is preventing snmpd (snmpd_t) "unlink" to master (var_t)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 13:38 EDT by Rich Johnson
Modified: 2012-10-16 04:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:30:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Johnson 2008-09-09 13:38:13 EDT
Description of problem:
  Base policy contains no file context is defined for /var/agentx/master unix domain socket.  This is the default socket for establishing master<->subagent communications.

Version-Release number of selected component (if applicable):
  net-snmp-5.3.1-24.el5
  selinux-policy-targeted-2.4.6-137.el5

How reproducible:


Steps to Reproduce:
Method A:
1.  disable SELinux
2.  Configure snmpd with subagents.
3.  Verify snmpd is working correctly
4.  change SELinux enforcement to "enforcing"
5.  reboot to put changes into effect.
6.  Note SELinux exception.

Method B:
1.  Configure snmpd with subagents
2.  service snmpd stop
3.  restorecon -r /var/agentx
4.  service snmpd start
5.  Note SELinux exception.
  
Actual results:
  Relabeling places a var_t label on /var/agentx/master
  snmpd is prevented from communicating with its subagents 

Expected results:
  Relabeling places a snmpd_var_lib_t label on /var/agentx/master


Additional info:
Comment 1 Jan Safranek 2008-09-15 08:15:28 EDT
There must be something wrong in the policy - snmpd creates /var/agentx/master correctly with user_u:object_r:snmpd_var_lib_t context, but restorecon sets it to 'system_u:object_r:var_t', which is wrong.
Comment 2 Daniel Walsh 2008-09-15 12:34:14 EDT
Adding
/var/agentx(/.*)?		gen_context(system_u:object_r:snmpd_var_lib_t,s0)

To File Context
Fixed in selinux-policy-2.4.6-157
Comment 3 RHEL Product and Program Management 2008-09-15 12:40:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2009-01-20 16:30:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.